Bug 1478066 - No success message when package is uploaded to repository
No success message when package is uploaded to repository
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories (Show other bugs)
6.3.0
x86_64 Linux
medium Severity medium (vote)
: Beta
: --
Assigned To: Walden Raines
Nikhil Kathole
http://projects.theforeman.org/issues...
: Regression, Triaged
Depends On: 1461831
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-03 10:05 EDT by Walden Raines
Modified: 2018-02-21 11:32 EST (History)
8 users (show)

See Also:
Fixed In Version: katello-3.4.5
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1461831
Environment:
Last Closed: 2018-02-21 11:32:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of UI (84.33 KB, image/png)
2017-09-03 01:37 EDT, Nikhil Kathole
no flags Details
screenshot of UI (87.17 KB, image/png)
2017-09-03 01:37 EDT, Nikhil Kathole
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20569 None None None 2017-08-11 17:00 EDT

  None (edit)
Description Walden Raines 2017-08-03 10:05:30 EDT
Description of problem:

If you upload a package to a repository the packages is uploaded successfully but there is no indication that it has been uploaded.

How reproducible:
Always

Steps to Reproduce:
1. Attempt to upload any package to any yum repo
2. Note lack of success message

Actual results:
No success message

Expected results:
Success message saying the package was uploaded
Comment 3 Walden Raines 2017-08-11 16:18:53 EDT
Created redmine issue http://projects.theforeman.org/issues/20569 from this bug
Comment 4 Walden Raines 2017-08-14 10:14:42 EDT
PR: https://github.com/Katello/katello/pull/6908
Comment 5 pm-sat@redhat.com 2017-08-16 12:00:27 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20569 has been resolved.
Comment 6 Nikhil Kathole 2017-09-03 01:36:40 EDT
VERIFIED

Version Tested:
Satellite-6.3 Snap 14

steps:
1. Created product
2. Added yum repository
3. Uploaded package to yum repository 

Successfully displayed the success message as "Successfully uploaded content : ".
(see attached screenshot).
Comment 7 Nikhil Kathole 2017-09-03 01:37 EDT
Created attachment 1321429 [details]
screenshot of UI
Comment 8 Nikhil Kathole 2017-09-03 01:37 EDT
Created attachment 1321430 [details]
screenshot of UI
Comment 9 Bryan Kearney 2018-02-21 11:32:23 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.